.menu-bottom-root2 {
    position: fixed;
    bottom: 0;
    left: 0;
    width: 100%;
    z-index: 12;
    background: white;
    box-shadow: var(--box-shadow1);
}

.menu-bottom-root2 a {
    max-width: 4rem;
    transition: all 0.35s ease-in-out;
}

.menu-bottom-root2 .router-link-active,
.menu-bottom-root2 .active {
    max-width: 40%;
    width: fit-content;
    /* transition: all 0.3s ease-in-out 0.16s; */
    transition: all 0.35s ease-in-out;
}

.menu-bottom-root2 a > .item {
    display: flex;
    align-items: center;
    overflow: hidden;
    padding: 0.5rem 1.2rem;
    border-radius: 12px;
    /* margin: auto; */
    /* margin-left: 1rem; */
    font-size: 1rem;
    /* add transition delay 0.2s */
    transition: background-color 0.35s ease-in-out;
}

.menu-bottom-root2 .router-link-active .item,
.menu-bottom-root2 .active .item {
    background: var(--color-primary);
    color: white;
    box-shadow: none;
    
}

.menu-bottom-root2 .horizontal.menu > a {
    padding: 1.2rem 1rem;
    background-color: inherit;
    flex-grow: 1;
    justify-content: center;
    display: flex;
    border-bottom: 0;
}

.menu-bottom-root2 .list > li.active, .menu > .active {
    background-color: inherit;
}

.menu-bottom-root2 a > .item .title {
    margin-left: 0.8rem;
    display: none;
    /* transition: all 0.3s ease-in-out 0.16s; */
}

.menu-bottom-root2 .router-link-active .item .title,
.menu-bottom-root2 .active .item .title {
    color: white;
    display: block;
}


.menu-bottom-root2 nav.menu {
    max-width: 100vw;
    position: relative;
    font-size: 1.3rem;
    justify-content: space-between;
    /* background: hsl(199deg 54.23% 89.33%); */
}


.menu-bottom-root2 a {
    text-decoration: none;
    color: inherit;
    background: none;
}

.menu-bottom-root2 a .badge {
    --clay-scale: 0.5;
    position: relative;
    top: -8px;
    left: -5px;
}

.menu-bottom-root2 .icon-container {
    display: flex;
}

.menu-bottom-root2 .router-link-active .icon {
    transition: transform 0.3s ease-in-out;
}

.menu-bottom-root2 .router-link-active:active:hover .icon {
    transform: scale(0.7);
}

.menu-bottom-root2 .indicator {
    position: absolute;
    top: -50%;
    left: 0;
    width: 70px;
    height: 70px;
    background: var(--color-primary);
    border-radius: 50%;
    border: 6px solid white;
    padding: 0;
    transition: transform 0.3s ease-in-out;
}

.menu-bottom-root2 :nth-child(1).active ~ .indicator,
.menu-bottom-root2 :nth-child(1).router-link-active ~ .indicator {
    transform: translateX( calc(5vw + 0px) );
}
.menu-bottom-root2 :nth-child(2).active ~ .indicator,
.menu-bottom-root2 :nth-child(2).router-link-active ~ .indicator {
    transform: translateX( calc(5vw + 16.5vw + 70px) );
}
.menu-bottom-root2 :nth-child(3).active ~ .indicator,
.menu-bottom-root2 :nth-child(3).router-link-active ~ .indicator {
    transform: translateX( calc(5vw + 2 * (16.5vw + 70px) ) );
}

@media screen and (min-width: 600px) {
    .menu-bottom-root2 {
        width: 100vw;
        font-size: 1.8rem;
        display: flex;
        justify-content: center;
    }
    .menu-bottom-root2 > nav.menu {
        max-width: 60vh;
        width: 60vh;
    }
    .menu-bottom-root2 ul.menu > li {
        padding: 2rem 1rem;
    }
}
